/**
 * @file
 * 
 * @author Petr Bravenec <petr.bravenec@hobrasoft.cz>
 * @copyrigt MIT License
 */
#include "example.h"
#include "html5stream.h"
#include <QDebug>


Example::Example(QObject *parent) : QObject(parent) {
    Html5Stream *s = new Html5Stream(this);

    QUrl url = QUrl::fromUserInput("http://www.hobrasoft.cz:8080/example/events");
    QNetworkRequest request(url);
    connect(s,  SIGNAL(data(const QString&, const QString&)), 
            this, SLOT(data(const QString&, const QString&)));
    connect(s,  SIGNAL(data(const QString&, const QVariant&)), 
            this, SLOT(data(const QString&, const QVariant&)));
    s->get(request);

}


/**
 * @brief Přijímá každý řádek s událostí, data jsou předaná ve stringu
 */
void Example::data(const QString& event, const QString& data) {
    Q_UNUSED(event);
    Q_UNUSED(data);
//    qDebug() << event << data;
}


/**
 * @brief Přijímá každý řádek s událostí, data jsou předaná ve struktuře QVariant
 */
void Example::data(const QString& event, const QVariant& data) {
    Q_UNUSED(event);
    qDebug() << data.toMap()["id"].toString() << data.toMap()["text"].toString() << data.toMap()["counter"].toInt();
}




